> ## Documentation Index
> Fetch the complete documentation index at: https://docs.kasoftware.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Return files

> Returns records from the files entity that match the specified query parameters.  All records will be returned when no parameters are specified.



## OpenAPI

````yaml 26.2/self-hosted/zh/api-reference/openapi.json GET /files
openapi: 3.0.1
info:
  title: RSSBus OpenAPI
  version: 26.1.9515.0
servers:
  - url: '{baseUrl}'
    variables:
      baseUrl:
        default: https://arc.example.com/api.rsc
        description: >-
          Base URL of your Arc instance, including scheme and application path
          (e.g. https://arc.example.com/api.rsc).
security: []
paths:
  /files:
    get:
      tags:
        - files
      summary: Return files
      description: >-
        Returns records from the files entity that match the specified query
        parameters.  All records will be returned when no parameters are
        specified.
      operationId: getAllfiles
      parameters:
        - name: $select
          in: query
          schema:
            type: string
          description: >-
            A comma-separated list of properties to include in the results. When
            this field is left empty, all properties will be returned.
        - name: $orderby
          in: query
          schema:
            type: string
          description: >-
            Order the results by this property in ascending or descending
            order.  Example for ascending: 'Name ASC' Example for descending:
            'Name DESC'
        - name: $top
          in: query
          schema:
            type: integer
          description: The number of results to return.
        - name: $skip
          in: query
          schema:
            type: integer
          description: This is the offset of results to skip when returning results.
        - name: $count
          in: query
          schema:
            type: boolean
          description: >-
            When set, the results will return a count of results and not the
            actual results.
        - name: $filter
          in: query
          schema:
            type: string
          description: >-
            Use this to filter the results by specific property values. For
            example, you can use the following filter to retrieve records with
            the name 'John': $filter=Name eq 'John'
      responses:
        '200':
          description: files response
          content:
            application/json:
              schema:
                type: object
                properties:
                  value:
                    type: array
                    items:
                      $ref: '#/components/schemas/files'
        default:
          description: Unexpected error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CDataError'
      security:
        - authtoken_header: []
        - basic: []
        - authtoken_query: []
components:
  schemas:
    files:
      type: object
      properties:
        ConnectorId:
          description: The id of the connector.
          type: string
        PortId:
          description: The id of the port.
          type: string
        Folder:
          description: The folder of the file.
          type: string
        Filename:
          description: The name of the file.
          type: string
        MessageId:
          description: >-
            The message id of the file. This will only have a value if the file
            is a message.
          type: string
        Subfolder:
          description: The subfolder of the file.
          type: string
        TimeCreated:
          description: The time the file was created.
          type: string
          format: date-time
        FilePath:
          description: The full path to the file.
          type: string
        FileSize:
          description: The size of the file.
          type: integer
          format: int32
        Content:
          description: >-
            The Base64 encoded file contents. This will only be returned when a
            specific file is requested. This field cannot be used when filtering
            results using the $filter parameter.
          type: string
        BatchGroupId:
          description: The batch group message Id.
          type: string
        IsBatchGroup:
          description: Whether or not the message is a batch group message.
          type: boolean
      required:
        - ConnectorId
        - Folder
        - Filename
        - MessageId
    CDataError:
      type: object
      properties:
        error:
          $ref: '#/components/schemas/CDataInError'
    CDataInError:
      type: object
      properties:
        code:
          type: string
        message:
          type: string
  securitySchemes:
    authtoken_header:
      type: apiKey
      in: header
      name: x-cdata-authtoken
    basic:
      scheme: basic
      type: http
    authtoken_query:
      type: apiKey
      in: query
      name: '@authtoken'

````